Wallet_model Class Reference
Inheritance diagram for Wallet_model:
[legend]
Collaboration diagram for Wallet_model:
[legend]

## Public Member Functions

| getActiveNetwork ()
| getTaux ($id_network)
| getNetworkDetails ($id_network)
| getTransactions ($debut, $fin, $id_network)
| getTransactionsSup ($debut, $fin, $codeMembre)
| getInfosWalletAgentForHyper ($id_network)
| get_user ($where_clause)
| get_simple_user ($phone, $name)
| update_user_infos ($nom, $adresse, $email, $phone, $id)
| update_geolocated_infos ($nom, $adresse, $email, $id_agent, $transac, $phone, $id_netAg)
| getPubCountries ()
| updateStatePub ($id, $newState)
| createPubRow ($id_country)
| getSuperNameAndCodeForSup ($codeSup)
| nameOfCurrentGeolocatedUser_forSuper ($geolocatedUser_memberCode)
| getAllActivatedNetworks ()
| getConfigWallet ($id_network)
| addConfigWallet ($network_id, $type)
| updateConfigWallet ($network_id, $taux_client_r, $taux_client_d, $taux_ag_r, $taux_ag_d, $taux_sup_r, $taux_sup_d, $taux_bq_r, $taux_bq_d, $frais_d)
| deleteConfigWallet ($network_id)
| getWallet ($id_agent)
| addWallet ($id_agent)
| getAgentTransactions ($id_wallet)
| getAgentiLinkTransactions ($id_wallet)
| getNetworkHyper ($id_network)
| getAllAgentsForNetwork ($id_network)
| reinitializeWallet ($id_wallet)
| getAllActivatedWalletNetworks ()
| addWalletPassword ($network_id, $encrypted_password, $salt, $email)
| updateWalletPassword ($wallet_password_id, $encrypted_password, $salt)
| getWalletPassword ($network_id)
| getRecharges ($debut, $fin, $id_network)
| addWalletRecharge ($montant, $wallet_id, $id_network)
| updateWalletBalance ($montant, $wallet_id)
| addPalierConfigWallet ($type, $idConfig, $min, $max, $taux)
| addTaxe ($idConfig, $nom, $type, $valeur, $destination, $categorie='wallet')
| updatePalierConfigWallet ($id, $min, $max, $taux)
| getPalierConfigWallet ($type, $idConfig)
| getTaxes ($idConfig, $categorie='wallet')
| getOnePalierConfigWallet ($id)
| deletePalierConfigWallet ($type, $idConfig)
| deleteTaxes ($idConfig, $categorie='wallet')
| updateConfigWalletIlink_a_s_c ($taux_ag_s_c, $taux_sup_s_c, $taux_hyp_s_c, $idConfig)
| updateConfigWalletIlink_u_w_cart ($taux_u_w_cart, $taux_hyp_s_wallet_cart_ilink, $taux_bq_s_wallet_cart_ilink, $idConfig)
| updateConfigWalletIlink_u_c_w ($taux_u_c_w, $taux_u_c_c, $taux_hyp_r_cart_ilink, $taux_bq_r_cart_ilink, $idConfig)
| updateConfigWalletIlink_a_r_c ($taux_ag_r_c, $taux_sup_r_c, $taux_hyp_r_c, $idConfig)
| updateConfigWalletIlink_a_r_cart ($taux_ag_cart_c, $taux_ag_r_cart, $taux_sup_r_cart, $taux_hyp_r_cart, $taux_bq_r_cart, $idConfig)
| updateConfigWalletIlink_a_s_cc ($taux_ag_d_c_c, $taux_ag_d_c, $taux_sup_d_c, $taux_hyp_d_c, $taux_bq_d_c, $idConfig)
| getCurrencies ($code)
| getWalletsCountriesCurrencies ($code)
| insertExchangeRate ($currency, $rate)
| getExchangeRate ($currency)
| updateExchangeRate ($currency, $rate)
| getWalletsCountries ()
| getActiveCountries ()
| getCountry ($id)
| cancelCreditRequest ($id_demand)
| insertSimulateur ($frais, $montant, $code, $montant_init)
| getSimulateur ($code)
| setSharingRate ($network_id, $config_id, $rate, $url)
| getSharingRate ($id_network, $idConfig)
| getSharingRateByNetwork ($id_network)
| countPayingNetworks ($id_country, $idConfig)
| getActiveNetworksByCountry ($country_id, $network_id)
| getPayingNetworksByConfigWallet ($id_config)
| getIlinkTransactions ($debut, $fin, $id_network)
| getNetworkIlinTransactions ($id_network)
| getCurrency ($id_network)
| getCommissionTransfers ($debut, $fin, $codeMembre)
| getIlinkTransactionsSup ($debut, $fin, $codeMembre)
| getInfosWalletAgentForSuper ($codeMembre)
| insertRembourssementCompensation ($montant, $id_network, $id_config)
| getRefunds ($debut, $fin, $id_network)
| getRegulationsCountries ()
| getRegulationsLimits ($id_country)
| insertRegulationsLimits ($id_country, $max_day_national, $max_week_national, $max_month_national, $max_day_international, $max_week_international, $max_month_international)
| updateRegulationsLimits ($id_country, $max_day_national, $max_week_national, $max_month_national, $max_day_international, $max_week_international, $max_month_international)
| getAllOperatorsCountries ()
| getAllOperators ()
| checkIfOperatorAssignationExist ($id_country, $id_operator)
| getOperator ($id_operator)
| updateOperator ($id_operator, $id_country, $name, $address, $code)
| deleteOperatorCountry ($id_operator, $id_country)
| getOperatorsForNetwork ($id_network)
| getTransmittingNetwork ($id_network, $idConfig)
| countTransmittiongNetworks ($id_country, $idConfig)
| getTransmittingNetworksByConfigWallet ($id_config)
| getCurrentTimeByNetworkID ($id_network)

## Detailed Description

Created by PhpStorm. User: capp Date: 29/05/2018 Time: 15:49

## Member Function Documentation

## addConfigWallet()

addConfigWallet | ( |  | $network_id,
|  |  | $type
| ) |  |

## addPalierConfigWallet()

addPalierConfigWallet | ( |  | $type,
|  |  | $idConfig,
|  |  | $min,
|  |  | $max,
|  |  | $taux
| ) |  |

## addTaxe()

addTaxe | ( |  | $idConfig,
|  |  | $nom,
|  |  | $type,
|  |  | $valeur,
|  |  | $destination,
|  |  | $categorie = `'wallet'`
| ) |  |

## addWallet()

addWallet | ( |  | $id_agent | ) |

## addWalletPassword()

addWalletPassword | ( |  | $network_id,
|  |  | $encrypted_password,
|  |  | $salt,
|  |  | $email
| ) |  |

## addWalletRecharge()

addWalletRecharge | ( |  | $montant,
|  |  | $wallet_id,
|  |  | $id_network
| ) |  |

## cancelCreditRequest()

cancelCreditRequest | ( |  | $id_demand | ) |

## checkIfOperatorAssignationExist()

checkIfOperatorAssignationExist | ( |  | $id_country,
|  |  | $id_operator
| ) |  |

## countPayingNetworks()

countPayingNetworks | ( |  | $id_country,
|  |  | $idConfig
| ) |  |

## countTransmittiongNetworks()

countTransmittiongNetworks | ( |  | $id_country,
|  |  | $idConfig
| ) |  |

## createPubRow()

createPubRow | ( |  | $id_country | ) |

Ajoute une nouvelle ligne de publicite

Parameters

  int | $id_country | ID du pays

Returns
  mixed

## deleteConfigWallet()

deleteConfigWallet | ( |  | $network_id | ) |

## deleteOperatorCountry()

deleteOperatorCountry | ( |  | $id_operator,
|  |  | $id_country
| ) |  |

## deletePalierConfigWallet()

deletePalierConfigWallet | ( |  | $type,
|  |  | $idConfig
| ) |  |

## deleteTaxes()

deleteTaxes | ( |  | $idConfig,
|  |  | $categorie = `'wallet'`
| ) |  |

## get_simple_user()

get_simple_user | ( |  | $phone,
|  |  | $name
| ) |  |

Parameters

  $phone |
  $name |

Returns
  |null

## get_user()

get_user | ( |  | $where_clause | ) |

Parameters

  $where_clause |

Returns
  bool

## getActiveCountries()

getActiveCountries | ( |  | ) |

## getActiveNetwork()

getActiveNetwork | ( |  | ) |

## getActiveNetworksByCountry()

getActiveNetworksByCountry | ( |  | $country_id,
|  |  | $network_id
| ) |  |

## getAgentiLinkTransactions()

getAgentiLinkTransactions | ( |  | $id_wallet | ) |

## getAgentTransactions()

getAgentTransactions | ( |  | $id_wallet | ) |

## getAllActivatedNetworks()

getAllActivatedNetworks | ( |  | ) |

## getAllActivatedWalletNetworks()

getAllActivatedWalletNetworks | ( |  | ) |

## getAllAgentsForNetwork()

getAllAgentsForNetwork | ( |  | $id_network | ) |

## getAllOperators()

getAllOperators | ( |  | ) |

## getAllOperatorsCountries()

getAllOperatorsCountries | ( |  | ) |

## getCommissionTransfers()

getCommissionTransfers | ( |  | $debut,
|  |  | $fin,
|  |  | $codeMembre
| ) |  |

## getConfigWallet()

getConfigWallet | ( |  | $id_network | ) |

## getCountry()

getCountry | ( |  | $id | ) |

## getCurrencies()

getCurrencies | ( |  | $code | ) |

## getCurrency()

getCurrency | ( |  | $id_network | ) |

## getCurrentTimeByNetworkID()

getCurrentTimeByNetworkID | ( |  | $id_network | ) |

## getExchangeRate()

getExchangeRate | ( |  | $currency | ) |

## getIlinkTransactions()

getIlinkTransactions | ( |  | $debut,
|  |  | $fin,
|  |  | $id_network
| ) |  |

## getIlinkTransactionsSup()

getIlinkTransactionsSup | ( |  | $debut,
|  |  | $fin,
|  |  | $codeMembre
| ) |  |

## getInfosWalletAgentForHyper()

getInfosWalletAgentForHyper | ( |  | $id_network | ) |

## getInfosWalletAgentForSuper()

getInfosWalletAgentForSuper | ( |  | $codeMembre | ) |

## getNetworkDetails()

getNetworkDetails | ( |  | $id_network | ) |

## getNetworkHyper()

getNetworkHyper | ( |  | $id_network | ) |

## getNetworkIlinTransactions()

getNetworkIlinTransactions | ( |  | $id_network | ) |

## getOnePalierConfigWallet()

getOnePalierConfigWallet | ( |  | $id | ) |

## getOperator()

getOperator | ( |  | $id_operator | ) |

## getOperatorsForNetwork()

getOperatorsForNetwork | ( |  | $id_network | ) |

## getPalierConfigWallet()

getPalierConfigWallet | ( |  | $type,
|  |  | $idConfig
| ) |  |

## getPayingNetworksByConfigWallet()

getPayingNetworksByConfigWallet | ( |  | $id_config | ) |

## getPubCountries()

getPubCountries | ( |  | ) |

Returns
  bool

## getRecharges()

getRecharges | ( |  | $debut,
|  |  | $fin,
|  |  | $id_network
| ) |  |

## getRefunds()

getRefunds | ( |  | $debut,
|  |  | $fin,
|  |  | $id_network
| ) |  |

## getRegulationsCountries()

getRegulationsCountries | ( |  | ) |

## getRegulationsLimits()

getRegulationsLimits | ( |  | $id_country | ) |

## getSharingRate()

getSharingRate | ( |  | $id_network,
|  |  | $idConfig
| ) |  |

## getSharingRateByNetwork()

getSharingRateByNetwork | ( |  | $id_network | ) |

## getSimulateur()

getSimulateur | ( |  | $code | ) |

## getSuperNameAndCodeForSup()

getSuperNameAndCodeForSup | ( |  | $codeSup | ) |

## getTaux()

getTaux | ( |  | $id_network | ) |

## getTaxes()

getTaxes | ( |  | $idConfig,
|  |  | $categorie = `'wallet'`
| ) |  |

## getTransactions()

getTransactions | ( |  | $debut,
|  |  | $fin,
|  |  | $id_network
| ) |  |

## getTransactionsSup()

getTransactionsSup | ( |  | $debut,
|  |  | $fin,
|  |  | $codeMembre
| ) |  |

## getTransmittingNetwork()

getTransmittingNetwork | ( |  | $id_network,
|  |  | $idConfig
| ) |  |

## getTransmittingNetworksByConfigWallet()

getTransmittingNetworksByConfigWallet | ( |  | $id_config | ) |

## getWallet()

getWallet | ( |  | $id_agent | ) |

## getWalletPassword()

getWalletPassword | ( |  | $network_id | ) |

## getWalletsCountries()

getWalletsCountries | ( |  | ) |

## getWalletsCountriesCurrencies()

getWalletsCountriesCurrencies | ( |  | $code | ) |

## insertExchangeRate()

insertExchangeRate | ( |  | $currency,
|  |  | $rate
| ) |  |

## insertRegulationsLimits()

insertRegulationsLimits | ( |  | $id_country,
|  |  | $max_day_national,
|  |  | $max_week_national,
|  |  | $max_month_national,
|  |  | $max_day_international,
|  |  | $max_week_international,
|  |  | $max_month_international
| ) |  |

## insertRembourssementCompensation()

insertRembourssementCompensation | ( |  | $montant,
|  |  | $id_network,
|  |  | $id_config
| ) |  |

## insertSimulateur()

insertSimulateur | ( |  | $frais,
|  |  | $montant,
|  |  | $code,
|  |  | $montant_init
| ) |  |

## nameOfCurrentGeolocatedUser_forSuper()

nameOfCurrentGeolocatedUser_forSuper | ( |  | $geolocatedUser_memberCode | ) |

## reinitializeWallet()

reinitializeWallet | ( |  | $id_wallet | ) |

## setSharingRate()

setSharingRate | ( |  | $network_id,
|  |  | $config_id,
|  |  | $rate,
|  |  | $url
| ) |  |

## update_geolocated_infos()

update_geolocated_infos | ( |  | $nom,
|  |  | $adresse,
|  |  | $email,
|  |  | $id_agent,
|  |  | $transac,
|  |  | $phone,
|  |  | $id_netAg
| ) |  |

Parameters

  | $nom |
  | $adresse |
  | $email |
  int | $id_agent |
  | $transac |
  | $phone |
  int | $id_netAg |

Returns
  bool

## update_user_infos()

update_user_infos | ( |  | $nom,
|  |  | $adresse,
|  |  | $email,
|  |  | $phone,
|  |  | $id
| ) |  |

Parameters

  | $nom |
  | $adresse |
  | $email |
  | $phone |
  int | $id |

Returns
  mixed

## updateConfigWallet()

updateConfigWallet | ( |  | $network_id,
|  |  | $taux_client_r,
|  |  | $taux_client_d,
|  |  | $taux_ag_r,
|  |  | $taux_ag_d,
|  |  | $taux_sup_r,
|  |  | $taux_sup_d,
|  |  | $taux_bq_r,
|  |  | $taux_bq_d,
|  |  | $frais_d
| ) |  |

## updateConfigWalletIlink_a_r_c()

updateConfigWalletIlink_a_r_c | ( |  | $taux_ag_r_c,
|  |  | $taux_sup_r_c,
|  |  | $taux_hyp_r_c,
|  |  | $idConfig
| ) |  |

## updateConfigWalletIlink_a_r_cart()

updateConfigWalletIlink_a_r_cart | ( |  | $taux_ag_cart_c,
|  |  | $taux_ag_r_cart,
|  |  | $taux_sup_r_cart,
|  |  | $taux_hyp_r_cart,
|  |  | $taux_bq_r_cart,
|  |  | $idConfig
| ) |  |

## updateConfigWalletIlink_a_s_c()

updateConfigWalletIlink_a_s_c | ( |  | $taux_ag_s_c,
|  |  | $taux_sup_s_c,
|  |  | $taux_hyp_s_c,
|  |  | $idConfig
| ) |  |

## updateConfigWalletIlink_a_s_cc()

updateConfigWalletIlink_a_s_cc | ( |  | $taux_ag_d_c_c,
|  |  | $taux_ag_d_c,
|  |  | $taux_sup_d_c,
|  |  | $taux_hyp_d_c,
|  |  | $taux_bq_d_c,
|  |  | $idConfig
| ) |  |

## updateConfigWalletIlink_u_c_w()

updateConfigWalletIlink_u_c_w | ( |  | $taux_u_c_w,
|  |  | $taux_u_c_c,
|  |  | $taux_hyp_r_cart_ilink,
|  |  | $taux_bq_r_cart_ilink,
|  |  | $idConfig
| ) |  |

## updateConfigWalletIlink_u_w_cart()

updateConfigWalletIlink_u_w_cart | ( |  | $taux_u_w_cart,
|  |  | $taux_hyp_s_wallet_cart_ilink,
|  |  | $taux_bq_s_wallet_cart_ilink,
|  |  | $idConfig
| ) |  |

## updateExchangeRate()

updateExchangeRate | ( |  | $currency,
|  |  | $rate
| ) |  |

## updateOperator()

updateOperator | ( |  | $id_operator,
|  |  | $id_country,
|  |  | $name,
|  |  | $address,
|  |  | $code
| ) |  |

## updatePalierConfigWallet()

updatePalierConfigWallet | ( |  | $id,
|  |  | $min,
|  |  | $max,
|  |  | $taux
| ) |  |

## updateRegulationsLimits()

updateRegulationsLimits | ( |  | $id_country,
|  |  | $max_day_national,
|  |  | $max_week_national,
|  |  | $max_month_national,
|  |  | $max_day_international,
|  |  | $max_week_international,
|  |  | $max_month_international
| ) |  |

## updateStatePub()

updateStatePub | ( |  | $id,
|  |  | $newState
| ) |  |

Met a jour l'etat de la publicite

Parameters

  int | $id | ID de la configuration
  | $newState | Nouvel etat

Returns
  mixed

## updateWalletBalance()

updateWalletBalance | ( |  | $montant,
|  |  | $wallet_id
| ) |  |

## updateWalletPassword()

updateWalletPassword | ( |  | $wallet_password_id,
|  |  | $encrypted_password,
|  |  | $salt
| ) |  |

The documentation for this class was generated from the following file:

- application/models/Wallet_model.php